#
# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2011  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Name:		qubes-gpg-split-dom0
Version:	2.0.69
Release:	1%{dist}
Summary:	Qubes dom0 package for gpg split

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org

BuildRequires: make
BuildRequires: python3-rpm-macros
BuildRequires: python3-setuptools
BuildRequires: python3-devel
Requires:      gpg

Source0: qubes-gpg-split-%{version}.tar.gz

%description
This package include integration tests. It used to include default policy, but
it was removed in Qubes OS 4.2, due to new graphical tool handling that now.

%prep
%setup -q -n qubes-gpg-split-%{version}

%install
rm -rf $RPM_BUILD_ROOT
%if 0%{?fedora} <= 32
install -m 0664 -D qubes.Gpg.policy $RPM_BUILD_ROOT/etc/qubes-rpc/policy/qubes.Gpg
install -m 0664 -D qubes.GpgImportKey.policy $RPM_BUILD_ROOT/etc/qubes-rpc/policy/qubes.GpgImportKey
%endif
make -C tests install-dom0-py3 DESTDIR=$RPM_BUILD_ROOT PYTHON2=%{__python3}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%if 0%{?fedora} <= 32
%config(noreplace) %attr(0664,root,qubes) /etc/qubes-rpc/policy/qubes.Gpg
%config(noreplace) %attr(0664,root,qubes) /etc/qubes-rpc/policy/qubes.GpgImportKey
%endif
%dir %{python3_sitelib}/splitgpg-*.egg-info
%{python3_sitelib}/splitgpg-*.egg-info/*
%{python3_sitelib}/splitgpg

%changelog
* Tue Aug 08 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-split-gpg.git

* Tue Aug 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ef64f62
- version 2.0.69

* Tue Aug 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d65f098
- tests: use distribution's dogtail package

* Fri Jun 30 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a0a0aed
- version 2.0.68

* Thu Jun 22 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 78ed11a
- Ignore --auto-key-locate local,wkd

* Thu Jun 22 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b9c13d0
- tests: fix clicking top buttons in evolution

* Fri May 05 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - a2fa75d
- Do not allow + to separate subpacket numbers

* Wed Apr 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aeff139
- version 2.0.67

* Mon Apr 17 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 23f2cd2
- Bare support for new packaging with PKGBUILD.in

* Sun Apr 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1ee1959
- Rework Archlinux packaging

* Fri Feb 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8b24d17
- version 2.0.66

* Fri Feb 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 612fcb0
- Don't install policy on R4.2

* Thu Jan 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 120c3ea
- version 2.0.65

* Sun Jan 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4b504ca
- spec: add BR python3-setuptools

* Mon Dec 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 15fda8c
- tests: disable end-of-year message, and similar popups

* Thu Nov 17 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 874cff4
- Clean up spec file cruft

* Tue Nov 15 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 97337a2
- version 2.0.64

* Sat Oct 29 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4bcba03
- tests: update for Thunderbird 102

* Sat Oct 29 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 418305e
- tests: Fix retry_if_failed decorator

* Mon Oct 24 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 1446764
- Use ppoll() instead of pselect()

* Sat Aug 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fa04403
- version 2.0.63

* Mon Aug 01 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 67cb2bc
- Force --exit-on-status-write-error

* Mon Aug 01 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - ab857f6
- Prevent GnuPG from using a closed file descriptor

* Mon Aug 01 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 9d35724
- Force batch mode

* Mon Aug 01 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 3c52800
- Disallow --command-fd

* Fri Jul 29 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 434beb8
- version 2.0.62

* Fri Jul 29 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 315c171
- Emulate --quiet in terms of -q

* Wed Jul 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cca9708
- version 2.0.61

* Wed Jul 27 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 26add28
- Allow "qubes-gpg-client --verify - a.sig"

* Wed Jul 27 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 614cd28
- Check that standard streams are open

* Wed Jul 27 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - f5d08b7
- Mark received file descriptors CLOEXEC

* Wed Jul 27 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 529ad8c
- Make is_client a const global variable

* Wed Jul 27 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 914c2f9
- Refuse to use the same FD for both reading and writing

* Wed Jul 27 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 8d33d4d
- Use common code for file descriptor lists

* Sun Jul 10 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 54cee94
- Allow exporting public keyring backups

* Sat Jul 09 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - f59430f
- Avoid dropping a trailing empty string

* Sat Jul 09 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 56f8076
- Do not send argv[0] to server

* Sat Jul 09 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 7d59f75
- Fix cast to a potentially-misaligned pointer

* Sat Jul 09 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 2a52a8e
- Ensure that argc is never 0

* Sat Jul 09 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 5a936a3
- Avoid UBSAN splat on max-length input

* Sat Jul 09 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 6c504d3
- Fix misleading comments

* Fri Jul 08 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 23aa560
- Allow --show-session-key

* Thu Jun 30 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 52a34bc
- Properly NULL-terminate argument list

* Tue Jun 28 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 15e93bf
- Do not ignore -q and --quiet

* Mon Jun 20 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - df14681
- Allow --export-ownertrust

* Mon Jun 13 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 37139cf
- gpg-client: check for too many file names

* Sun Jun 05 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 3a300ec
- Have bash choose an unused file descriptor

* Sun Jun 05 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 44d6ed0
- Avoid hang due to premature file descriptor close

* Mon May 30 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c5316c9
- version 2.0.60

* Thu May 26 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 754e16e
- Allow --list-options show-sig-subpackets

* Mon May 09 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd743ea
- version 2.0.59

